XLA_00200_AAD_S_000015_PKG is invalid after Patching

(Doc ID 753780.1)

Last updated on SEPTEMBER 09, 2016

Applies to:

Application Install - Version: 12.0.5 to 12.0.6 - Release: 12 to 12
Information in this document applies to any platform.

Symptoms

  After applying <> RUP6 (12.0.6), unable to compile invalid package:

XLA_00200_AAD_S_000015_PKG

Attempting to compile package results in errors

ERRORS
BODY = PLS-00201: identifier 'CREATEHEADERSANDLINES' must be declared (line 276 col 7)
BODY = PLS-00323: subprogram or cursor 'GETMEANING' is declared in a package specification and
must be defined in the package body (line 23 col 10)

EXPECTED BEHAVIOR
Expect that all objects be valid after patching.


STEPS TO REPRODUCE
The issue can be reproduced at will with the following steps:
1. Apply <> RUP6
2. check for invalids.

Same issue may occur after application of other patches.

Changes

Applied <> RUP6 (R12.0.6)

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms